Debian Bug report logs - #352278
aptitude: crash when marking a package for purge

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Yann Dirson <dirson@debian.org>

Date: Fri, 10 Feb 2006 22:48:02 UTC

Severity: important

Tags: unreproducible

Found in versions aptitude/0.4.1-1, aptitude/0.4.9-2, aptitude/0.6.3-3.2

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#352278; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <dirson@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: crash when marking a package for purge
Date: Fri, 10 Feb 2006 23:30:50 +0100
Package: aptitude
Version: 0.4.1-1
Severity: important

Context: after an update, hit 'U' to tag everything for upgrade.
Noticed an updated package which I don't want any more, and hit '_'.

(gdb) bt
#0  0x4011dd45 in __pthread_alt_unlock () from /lib/libpthread.so.0
#1  0x4011aae4 in pthread_mutex_unlock () from /lib/libpthread.so.0
#2  0x40118570 in pthread_cond_wait@GLIBC_2.0 () from /lib/libpthread.so.0
#3  0x081f8242 in pkgAcquire::Item::Custom600Headers ()
#4  0x0822089a in pkgAcquire::Item::Custom600Headers ()
#5  0x40118f4c in pthread_start_thread () from /lib/libpthread.so.0
#6  0x4032d80a in clone () from /lib/libc.so.6


My ref: core.15581 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.31-k6
Locale: LANG=C, LC_CTYPE=french (charmap=ISO-8859-1)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3.1 0.6.43.2   Advanced front-end for dpkg
ii  libc6                         2.3.5-13   GNU C Library: Shared libraries an
ii  libgcc1                       1:4.0.2-8  GCC support library
ii  libncursesw5                  5.5-1      Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a            2.0.16-3   type-safe Signal Framework for C++
ii  libstdc++6                    4.0.2-8    The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)

-- no debconf information

-- 
Yann Dirson    <ydirson@altern.org> |
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
                                    |  Freedom, Power, Stability, Gratis
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#352278; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Yuri Akudovich <yorik13@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 352278@bugs.debian.org (full text, mbox):

From: Yuri Akudovich <yorik13@gmail.com>
To: Debian Bug Tracking System <352278@bugs.debian.org>
Subject: aptitude: also crashes on purge
Date: Mon, 06 Nov 2006 13:21:59 +0200
Package: aptitude
Followup-For: Bug #352278


Aptitude craches on purge command. Here is backtrace.

(gdb) bt
#0  0xb7c612f3 in strlen () from /lib/tls/i686/cmov/libc.so.6
#1  0x0813773f in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
#2  0x081389e2 in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
#3  0x081394ce in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
#4  0x0812f6bf in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
#5  0x080538d6 in ?? ()
#6  0xb7c0aea8 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#7  0x08051211 in ?? ()


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (100, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-book
Locale: LANG=C, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3. 0.6.46.3    Advanced front-end for dpkg
ii  libc6                        2.3.6.ds1-7 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-19  GCC support library
ii  libncursesw5                 5.5-5       Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a           2.0.17-2    type-safe Signal Framework for C++
ii  libstdc++6                   4.1.1-19    The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#352278; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #15 received at 352278@bugs.debian.org (full text, mbox):

From: Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>
To: 352278@bugs.debian.org
Cc: control@bugs.debian.org
Subject: [PATCH] Fix a crash on purge
Date: Mon, 27 Nov 2006 19:12:33 +0900 (JST)
[Message part 1 (text/plain, inline)]
tags 352278 + patch
thanks

Hi,

Two months ago my friend Kouhei Sutou <kou at cozmixng.org> reported
to me that aptitude sometimes crashed on purge, and two days ago he
presented me a patch to fix it as a birthday present :-).  I don't
know it is related to backtraces reported with this Bug#352278, but it
may help to fix this bug at least partly.

Could you check and apply it?

Thanks,

-nori
[aptitude-check-whether-cand-is-available-or-not.diff (text/plain, inline)]
diff -rN -u old-aptitude/src/cmdline/cmdline_prompt.cc new-aptitude/src/cmdline/cmdline_prompt.cc
--- old-aptitude/src/cmdline/cmdline_prompt.cc	2006-11-25 12:33:45.000000000 +0900
+++ new-aptitude/src/cmdline/cmdline_prompt.cc	2006-11-25 12:33:45.000000000 +0900
@@ -144,7 +144,7 @@
 	      s+=cand.VerStr();
 	      s+="]";
 	    }
-	  else
+	  else if (cand)
 	    {
 	      s+=" [";
 	      s+=cand.VerStr();


Tags added: patch Request was from Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yann Dirson <dirson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 352278-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 352278-close@bugs.debian.org
Subject: Bug#352278: fixed in aptitude 0.4.4-2
Date: Mon, 05 Mar 2007 14:17:02 +0000
Source: aptitude
Source-Version: 0.4.4-2

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-doc-cs_0.4.4-2_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.4-2_all.deb
aptitude-doc-en_0.4.4-2_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.4-2_all.deb
aptitude-doc-fi_0.4.4-2_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.4-2_all.deb
aptitude-doc-fr_0.4.4-2_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.4-2_all.deb
aptitude_0.4.4-2.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.4-2.diff.gz
aptitude_0.4.4-2.dsc
  to pool/main/a/aptitude/aptitude_0.4.4-2.dsc
aptitude_0.4.4-2_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 352278@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  4 Mar 2007 20:37:48 -0800
Source: aptitude
Binary: aptitude-doc-cs aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.4-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based apt frontend
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based apt frontend
 aptitude-doc-en - English manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fr - French manual for aptitude, a terminal-based apt frontend
Closes: 338056 352278 353308 388504 392305 397224 399048 399048 401105 403561 405166 405550 409480 412829
Changes: 
 aptitude (0.4.4-2) unstable; urgency=low
 .
   * l10n and documentation release targeted at etch.  The following code
     fixes are also included:
 .
     - Use delete[] to delete several arrays instead of plain
       delete.
 .
     - Update the fix for signal blockage during configure to
       work when a package install fails (in which case the
       previous release ran dpkg --configure -a with signals blocked).
 .
   * Many editorial fixes to the user's manual and updates to the
     Japanese translation by Noritada Kobayashi.  There is a Japanese
     version of the manual in the source tree, but this upload does not add
     a new documentation package.
 .
   * The FSF's address in the manpage license has been fixed.
 .
   * Don't generate two identical author lines in the manpage.
     (Closes: #397224)
 .
   * Localize tasks group names.
 .
 .
   * Fix the alignment of the text in the command-line help. (Closes: #399048)
 .
   * Fix yes_key and no_key translations. (Closes: #338056)
 .
   * Update aptitude.pot to unfuzzy translations. (Closes: #399048)
 .
   * Translation updates:
 .
     - Catalan (Closes: #353308)
 .
     - Chinese (Simplified) (Closes: #405166)
 .
     - Danish (Closes: #409480)
 .
     - Finnish (Closes: #392305)
 .
     - French (Closes: #388504, #403561)
 .
     - Galician (Closes: #412829)
 .
     - Greek
 .
     - Hungarian (Closes: #405550)
 .
     - Nepali (Closes: #352278)
 .
     - Slovak (Closes: #401105)
Files: 
 42a7e0e4d7ac65e6a3c37cf8faf9f6aa 803 admin - aptitude_0.4.4-2.dsc
 d4629c0df58f1015544c68819140a64d 212432 admin - aptitude_0.4.4-2.diff.gz
 9f026ef59077eac0e704f6eb25eca968 347120 doc optional aptitude-doc-cs_0.4.4-2_all.deb
 a3c066fe5f5e750f1d89691656d08e85 332818 doc optional aptitude-doc-en_0.4.4-2_all.deb
 fb1deda40624cf8768451fe67f3c03e3 263374 doc optional aptitude-doc-fi_0.4.4-2_all.deb
 4591b7663c7efaafb84e26b474a37cb8 275936 doc optional aptitude-doc-fr_0.4.4-2_all.deb
 f292105fa20e0d5ffc13aa0d758ecf48 1498156 admin important aptitude_0.4.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF7CSech6xsM7kSXgRAjqdAJ9iIO4h0TKoGFiANiF6878LFw4/QgCfb4Rf
NIMDiIPgnm1O5bcF2SQ1gC4=
=sb3t
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#352278; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Deng Xiyue <manphiz-guest@users.alioth.debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #29 received at 352278@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
To: Debian Bug Tracking System <352278@bugs.debian.org>
Subject: crash when purging after invoking dpkg
Date: Tue, 27 Nov 2007 10:03:33 +0800
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.4.9-2
Followup-For: Bug #352278

This problem still present in aptitude 0.4.9-2, but only happens after 
invoking dpkg. I had aptitude-dbg and cwidget-dbg installed and got a 
backtrace, hope it can help solving the bug.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.6-6 0.7.9          Advanced front-end for dpkg
ii  libc6                     2.7-1          GNU C Library: Shared libraries
ii  libcwidget0               0.5.5-4        high-level terminal interface libr
ii  libgcc1                   1:4.2.2-4      GCC support library
ii  libncursesw5              5.6+20071103-1 Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a        2.0.17-2       type-safe Signal Framework for C++
ii  libstdc++6                4.2.2-4        The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
ii  libparse-debianchangelog-perl 1.1.1-1    parse Debian changelogs and output

-- no debconf information
[aptitude-core.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#352278; Package aptitude. (Sat, 18 Dec 2010 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 米司 伊織 <ioriveur@ioriveurlabs.dnsalias.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Sat, 18 Dec 2010 08:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 352278@bugs.debian.org (full text, mbox):

From: 米司 伊織 <ioriveur@ioriveurlabs.dnsalias.org>
To: Debian Bug Tracking System <352278@bugs.debian.org>
Subject: I found aptitude got SEGFAULT after pursing a local package.
Date: Sat, 18 Dec 2010 17:19:17 +0900
Package: aptitude
Version: 0.6.3-3.2
Severity: normal


But it not happened after pusing another common package, bluetooth and on which dependent.

-- Package-specific info:
aptitude 0.6.3 compiled at Oct 18 2010 22:11:25
Compiler: g++ 4.4.5
Compiled against:
  apt version 4.10.1
  NCurses version 5.7
  libsigc++ version: 2.2.4.2
  Ept support enabled.
  Gtk+ support disabled.

Current library versions:
  NCurses version: ncurses 5.7.20100313
  cwidget version: 0.5.16
  Apt version: 4.10.1
	linux-gate.so.1 =>  (0xb78cd000)
	libapt-pkg.so.4.10 => /usr/lib/libapt-pkg.so.4.10 (0xb77c1000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb777b000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7775000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb76b5000)
	libept.so.1 => /usr/lib/libept.so.1 (0xb7664000)
	libxapian.so.22 => /usr/lib/libxapian.so.22 (0xb7488000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb7474000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0xb73e8000)
	libboost_iostreams.so.1.42.0 => /usr/lib/libboost_iostreams.so.1.42.0 (0xb73cf000)
	libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb73b6000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb72c0000)
	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb729a000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb727c000)
	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7136000)
	libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xb7132000)
	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb712d000)
	libuuid.so.1 => /lib/libuuid.so.1 (0xb7129000)
	libbz2.so.1.0 => /lib/libbz2.so.1.0 (0xb7118000)
	librt.so.1 => /lib/i686/cmov/librt.so.1 (0xb710f000)
	/lib/ld-linux.so.2 (0xb78ce000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg4.10]    0.8.8            Advanced front-end for dpkg
ii  libboost-iostreams1.42. 1.42.0-4         Boost.Iostreams Library
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libcwidget3             0.5.16-3         high-level terminal interface libr
ii  libept1                 1.0.4            High-level library for managing De
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libncursesw5            5.7+20100313-4   shared libraries for terminal hand
ii  libsigc++-2.0-0c2a      2.2.4.2-1        type-safe Signal Framework for C++
ii  libsqlite3-0            3.7.3-1          SQLite 3 shared library
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  libxapian22             1.2.3-2          Search engine library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages aptitude recommends:
pn  apt-xapian-index              <none>     (no description available)
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
pn  libparse-debianchangelog-perl <none>     (no description available)
ii  sensible-utils                0.0.4      Utilities for sensible alternative

Versions of packages aptitude suggests:
pn  debtags                       <none>     (no description available)
ii  tasksel                       2.85       Tool for selecting tasks for insta

-- no debconf information




Removed tag(s) patch. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 03:15:05 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 03:15:10 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Tue, 21 Feb 2012 15:39:07 GMT) Full text and rfc822 format available.

Notification sent to Yann Dirson <dirson@debian.org>:
Bug acknowledged by developer. (Tue, 21 Feb 2012 15:39:07 GMT) Full text and rfc822 format available.

Message #43 received at 352278-done@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 352278-done@bugs.debian.org
Subject: aptitude bug #352278: closing
Date: Tue, 21 Feb 2012 15:35:34 +0000
Hello,

Thank you for your interest in improving Debian, and sorry to keep the
bug unattended for so long.  There's now an effort to review the open
bugs related with aptitude.

The bug was marked as unreproducible long ago, and it does not provide
much information to fix it -- it looks like random memory corruption
mixed with later reports of a failure in apt library.  The patch
provided cannot be applied now, the code is different.

Several years later, with new upstream versions and new versions of
all of the libraries that aptitude uses, the bug is basically
untraceable -- it's better that people open new bug reports if they
find new crashes.  Thus closing it.

Regards.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Mar 2012 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:23:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.